<?php

namespace Drupal\rest_entity_display_search_api_opensearch\EventSubscriber;

use Drupal\search_api\Event\MappingFieldTypesEvent;
use Drupal\search_api\Event\SearchApiEvents;
use Symfony\Component\EventDispatcher\EventSubscriberInterface;

/**
 * Search API OpenSearch event subscriber.
 */
class SearchApiEventSubscriber implements EventSubscriberInterface {

  /**
   * Event called when mapping field types.
   */
  public function onMappingFieldTypes(MappingFieldTypesEvent $event): void {
    $mapping = &$event->getFieldTypeMapping();
    $mapping['rest_entity_display_rendered_item'] = 'object';
  }

  /**
   * {@inheritdoc}
   */
  public static function getSubscribedEvents() {
    return [
      SearchApiEvents::MAPPING_FIELD_TYPES => ['onMappingFieldTypes'],
    ];
  }

}
