<?php

namespace Drupal\rest_entity_display;

use Drupal\Core\Form\FormStateInterface;

/**
 * Entity display manager class.
 */
interface NormalizedFormatterInterface {

  /**
   * Get default settings.
   *
   * @return array
   *   The default settings.
   */
  public static function defaultSettings(): array;

  /**
   * Get the settings form.
   *
   * @return array
   *   The default settings form.
   */
  public function settingsForm(array $form, FormStateInterface $form_state): array;

  /**
   * Get the settings summary.
   *
   * @return array
   *   The settings summary.
   */
  public function settingsSummary(): array;

  /**
   * Get the cache manager.
   *
   * @return \Drupal\rest_entity_display\EntityViewDisplayCacheManager
   *   The cache manager.
   */
  public function getCache():EntityViewDisplayCacheManager;

  /**
   * Set the cache manager.
   *
   * @param \Drupal\rest_entity_display\EntityViewDisplayCacheManager $cache_manager
   *   The cache manager.
   */
  public function setCache(EntityViewDisplayCacheManager $cache_manager);

}
