<?php

namespace Drupal\rest_entity_display;

/**
 * Normalized rendering context interface.
 */
interface NormalizedRenderingContextInterface {

  /**
   * Get the rendering context.
   *
   * @return RenderingContext
   *   The rendering context.
   */
  public function getRenderingContext():RenderingContext|NULL;

  /**
   * Set the rendering context.
   *
   * @param RenderingContext $renderingContext
   *   The rendering context.
   */
  public function setRenderingContext(RenderingContext $renderingContext);

}
