<?php

namespace Drupal\rest_entity_display\Plugin\Field\FieldFormatter;

use Drupal\Core\Field\Attribute\FieldFormatter;
use Drupal\Core\StringTranslation\TranslatableMarkup;

/**
 * Plugin implementation of the 'Normalized address_default' formatter.
 *
 * @FieldFormatter(
 *   id = "rest_entity_display_address_default",
 *   label = @Translation("Normalized address default"),
 *   field_types = {
 *     "address",
 *   },
 * )
 */
#[FieldFormatter(
  id: 'rest_entity_display_address_default',
  label: new TranslatableMarkup('Normalized address default'),
  field_types: [
    'address',
  ]
)]
class AddressDefaultFormatter extends NormalizedFieldFormatter {
}
