<?php

namespace Drupal\rest_entity_display\Plugin\Field\FieldFormatter;

use Drupal\Core\Field\Attribute\FieldFormatter;
use Drupal\Core\StringTranslation\TranslatableMarkup;

/**
 * Plugin implementation of the 'Normalized plain_text' formatter.
 *
 * @FieldFormatter(
 *   id = "rest_entity_display_base_field_display_string",
 *   label = @Translation("Normalized Plain text"),
 *   field_types = {
 *     "uuid",
 *     "password",
 *   }
 * )
 */
#[FieldFormatter(
  id: 'rest_entity_display_base_field_display_string',
  label: new TranslatableMarkup('Normalized Plain text'),
  field_types: [
    'uuid',
    'password',
  ]
)]
class BaseFieldDisplayStringFormatter extends StringFormatter {
}
