<?php

namespace Drupal\rest_entity_display\Plugin\Field\FieldFormatter;

use Drupal\Core\Field\Attribute\FieldFormatter;
use Drupal\Core\StringTranslation\TranslatableMarkup;

/**
 * Plugin implementation of the 'Normalized boolean' formatter.
 *
 * @FieldFormatter(
 *   id = "rest_entity_display_boolean_formatter",
 *   label = @Translation("Normalized boolean"),
 *   field_types = {
 *     "boolean",
 *   }
 * )
 */
#[FieldFormatter(
  id: 'rest_entity_display_boolean_formatter',
  label: new TranslatableMarkup('Normalized boolean'),
  field_types: [
    'boolean',
  ]
)]
class BooleanFormatter extends NormalizedFieldFormatter {
}
