<?php

namespace Drupal\rest_entity_display\Plugin\Field\FieldFormatter;

use Drupal\Core\Field\Attribute\FieldFormatter;
use Drupal\Core\StringTranslation\TranslatableMarkup;

/**
 * Plugin implementation of the 'Normalized Date' formatter.
 *
 * @FieldFormatter(
 *   id = "rest_entity_display_date_formatter",
 *   label = @Translation("Normalized Date"),
 *   field_types = {
 *     "datetime",
 *     "timestamp",
 *     "created",
 *     "changed",
 *   }
 * )
 */
#[FieldFormatter(
  id: 'rest_entity_display_date_formatter',
  label: new TranslatableMarkup('Normalized Date'),
  field_types: [
    'datetime',
    'timestamp',
    'created',
    'changed',
  ]
)]
class DateFormatter extends NormalizedFieldFormatter {
}
