<?php

namespace Drupal\rest_entity_display\Plugin\Field\FieldFormatter;

use Drupal\Core\Field\Attribute\FieldFormatter;
use Drupal\Core\StringTranslation\TranslatableMarkup;

/**
 * Plugin implementation of the 'Normalized date range' formatter.
 *
 * @FieldFormatter(
 *   id = "rest_entity_display_daterange_formatter",
 *   label = @Translation("Normalized date range"),
 *   field_types = {
 *     "daterange"
 *   }
 * )
 */
#[FieldFormatter(
  id: 'rest_entity_display_daterange_formatter',
  label: new TranslatableMarkup('Normalized date range'),
  field_types: [
    'daterange',
  ]
)]
class DateRangeDefaultFormatter extends NormalizedFieldFormatter {
}
