<?php

namespace Drupal\rest_entity_display\Plugin\Field\FieldFormatter;

use Drupal\Core\Field\Attribute\FieldFormatter;
use Drupal\Core\StringTranslation\TranslatableMarkup;

/**
 * Plugin implementation of the 'Normalized number' formatter.
 *
 * @FieldFormatter(
 *   id = "rest_entity_display_number_formatter",
 *   label = @Translation("Normalized number"),
 *   field_types = {
 *     "integer",
 *     "decimal",
 *     "float",
 *   }
 * )
 */
#[FieldFormatter(
  id: 'rest_entity_display_number_formatter',
  label: new TranslatableMarkup('Normalized number'),
  field_types: [
    'integer',
    'decimal',
    'float',
  ]
)]
class NumberFormatter extends NormalizedFieldFormatter {
}
