<?php

namespace Drupal\rest_entity_display\Plugin\Field\FieldFormatter;

use Drupal\Core\Field\Attribute\FieldFormatter;
use Drupal\Core\StringTranslation\TranslatableMarkup;

/**
 * Plugin implementation of the 'Normalized options' formatter.
 *
 * @FieldFormatter(
 *   id = "rest_entity_display_options_formatter",
 *   label = @Translation("Normalized options"),
 *   field_types = {
 *     "list_integer",
 *     "list_float",
 *     "list_string",
 *   }
 * )
 */
#[FieldFormatter(
  id: 'rest_entity_display_options_formatter',
  label: new TranslatableMarkup('Normalized options'),
  field_types: [
    'list_integer',
    'list_float',
    'list_string',
  ]
)]
class OptionsKeyFormatter extends NormalizedFieldFormatter {
}
