<?php

namespace Drupal\rest_entity_display\Plugin\Field\FieldFormatter;

use Drupal\Core\Field\Attribute\FieldFormatter;
use Drupal\Core\StringTranslation\TranslatableMarkup;

/**
 * Plugin implementation of the 'Normalized String' formatter.
 *
 * @FieldFormatter(
 *   id = "rest_entity_display_string_formatter",
 *   label = @Translation("Normalized String"),
 *   field_types = {
 *     "string",
 *     "string_long",
 *     "uri",
 *     "uuid",
 *     "email",
 *   },
 * )
 */
#[FieldFormatter(
  id: 'rest_entity_display_string_formatter',
  label: new TranslatableMarkup('Normalized String'),
  field_types: [
    'string',
    'string_long',
    'uri',
    'uuid',
    'email',
  ]
)]
class StringFormatter extends NormalizedFieldFormatter {
}
