<?php

namespace Drupal\rest_entity_display\Plugin\Field\FieldFormatter;

use Drupal\Core\Field\Attribute\FieldFormatter;
use Drupal\Core\StringTranslation\TranslatableMarkup;

/**
 * Plugin implementation of the 'Normalized telephone_link' formatter.
 *
 * @FieldFormatter(
 *   id = "rest_entity_display_telephone_link",
 *   label = @Translation("Normalized telephone link"),
 *   field_types = {
 *     "telephone"
 *   }
 * )
 */
#[FieldFormatter(
  id: 'rest_entity_display_telephone_link',
  label: new TranslatableMarkup('Normalized telephone link'),
  field_types: [
    'telephone',
  ]
)]
class TelephoneLinkFormatter extends NormalizedFieldFormatter {
}
