<?php

namespace Drupal\rest_entity_display\Plugin\Field\FieldFormatter;

use Drupal\Core\Field\Attribute\FieldFormatter;
use Drupal\Core\StringTranslation\TranslatableMarkup;

/**
 * Plugin implementation of the 'Normalized yearonly_default' formatter.
 *
 * @FieldFormatter (
 *   id = "rest_entity_display_normalized_yearonly_default",
 *   label = @Translation("Normalized Year only"),
 *   field_types = {
 *     "yearonly"
 *   }
 * )
 */
#[FieldFormatter(
  id: 'rest_entity_display_normalized_yearonly_default',
  label: new TranslatableMarkup('Normalized Year only'),
  field_types: [
    'yearonly',
  ]
)]
class YearOnlyFormatter extends NormalizedFieldFormatter {
}
